Subject: Re: bug#29397: 26.0.90; regression: `C-h l' from `edit-kbd-macro' raises error

From: Stefan Kangas <[email-masked]>
Date: Sun, 29 Sep 2019 02:21:00 +0200

Noam Postavsky <[email-masked]> writes:

> On Wed, Nov 22, 2017 at 11:13 AM, Drew Adams <[email-masked]> wrote:
>
>> Get error:
>>
>>  Macros with mouse clicks are not supported by this command
>>
>> Sometimes I do not see this problem, but most of the time I do.
>> There is no such problem with Emacs 24.5 or prior, at least.
>
> I can get this error with the following (also in 24.5):
>
> emacs -Q
>
> <click somewhere>
> M-x edit-kbd-macro
> C-h l
>
> I guess the times when you see the problem are when the lossage
> happens to include a mouse click?

I can't reproduce this on current master with the above recipe.  Are you
still seeing this?

Best regards,
Stefan Kangas